=== ima/CMakeLists.txt ===
FILE(GLOB italc_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.h)
FILE(GLOB italc_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
FILE(GLOB italc_UI ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/*.ui)
SET(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/italc.qrc)
QT4_WRAP_CPP(italc_MOC_out ${italc_INCLUDES})
QT4_WRAP_UI(italc_UIC_out ${italc_UI})
QT4_ADD_RESOURCES(italc_RCC_out ${QRC_FILE})
QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${italc_SOURCES} ${italc_INCLUDES})

IF(ITALC_BUILD_WIN32)
	SET(WINRC "${CMAKE_CURRENT_BINARY_DIR}/italcrc.obj")
	ADD_DEFINITIONS(-D__USE_MINGW_ANSI_STDIO=1)
	ADD_CUSTOM_COMMAND(OUTPUT ${WINRC}
						COMMAND ${WINDRES}
							-I${CMAKE_CURRENT_SOURCE_DIR}
							-o${WINRC}
							-i${CMAKE_CURRENT_BINARY_DIR}/italc.rc
						DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/italc.rc)

ENDIF(ITALC_BUILD_WIN32)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)
ADD_EXECUTABLE(italc ${italc_UIC_out} ${italc_SOURCES} ${italc_INCLUDES} ${italc_MOC_out} ${italc_RCC_out} ${WINRC})
TARGET_LINK_LIBRARIES(italc ItalcCore)

INSTALL(TARGETS italc RUNTIME DESTINATION bin)

IF(ITALC_BUILD_WIN32)
	SET_TARGET_PROPERTIES(italc PROPERTIES LINK_FLAGS -mwindows)
ENDIF(ITALC_BUILD_WIN32)
