=== imc/CMakeLists.txt ===
FILE(GLOB imc_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.h)
FILE(GLOB imc_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
FILE(GLOB imc_UI ${CMAKE_CURRENT_SOURCE_DIR}/Forms/*.ui)
SET(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/imc.qrc)
QT4_WRAP_CPP(imc_MOC_out ${imc_INCLUDES})
QT4_WRAP_UI(imc_UIC_out ${imc_UI})
QT4_ADD_RESOURCES(imc_RCC_out ${QRC_FILE})
QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${imc_SOURCES} ${imc_INCLUDES})

IF(ITALC_BUILD_WIN32)
	SET(WINRC "${CMAKE_CURRENT_BINARY_DIR}/imcrc.obj")
	ADD_DEFINITIONS(-D__USE_MINGW_ANSI_STDIO=1)
	ADD_CUSTOM_COMMAND(OUTPUT ${WINRC}
						COMMAND ${WINDRES}
							-I${CMAKE_CURRENT_SOURCE_DIR}
							-o${WINRC}
							-i${CMAKE_CURRENT_BINARY_DIR}/imc.rc
						DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/imc.rc)
	LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/ica/win32)
	LINK_LIBRARIES(-ladvapi32 -laclui -lcomctl32 -lauthSSP)
ENDIF(ITALC_BUILD_WIN32)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)
ADD_EXECUTABLE(imc ${imc_UIC_out} ${imc_SOURCES} ${imc_INCLUDES} ${imc_MOC_out} ${imc_RCC_out} ${WINRC})
TARGET_LINK_LIBRARIES(imc ItalcCore)

INSTALL(TARGETS imc RUNTIME DESTINATION bin)

IF(ITALC_BUILD_WIN32)
	SET_TARGET_PROPERTIES(imc PROPERTIES LINK_FLAGS -mwindows)
ENDIF(ITALC_BUILD_WIN32)
