=== debian/changelog ===
italc (1:2.0.2+dfsg1-4ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/libvncclient_CVE-2014-6051.patch: Fix integer overflow in
      MallocFrameBuffer().
    - CVE-2014-6051
  * SECURITY UPDATE: Memory leak
    - debian/patches/libvncclient_CVE-2014-6052.patch: Check for
      MallocFrameBuffer() return value.
    - debian/patches/libvncserver_CVE-2014-6053.patch: Check malloc() return
      value on client->server ClientCutText message.
    - debian/patches/libvncserver_CVE-2019-15681.patch: rfbserver: don't leak
      stack memory to the remote.
    - CVE-2014-6052
    - CVE-2014-6053
    - CVE-2019-15681
  * SECURITY UPDATE: Division by zero
    - debian/patches/libvncserver_CVE-2014-6054.patch: Do not accept a scaling
      factor of zero.
    - CVE-2014-6054
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/libvncserver_CVE-2014-6055.patch: Fix multiple
      stack-based buffer overflows in file transfer feature.
    - CVE-2014-6055
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/libvncclient_CVE-2016-9941.patch: Fix heap overflows in
      the various rectangle fill functions.
    - debian/patches/libvncclient_CVE-2016-9942.patch: Fix heap overflow in
      the ultra.c decoder.
    - CVE-2016-9941
    - CVE-2016-9942
  * SECURITY UPDATE: Input sanitization
    - debian/patches/libvncserver_CVE-2018-7225.patch: Impose a limit of 1 MB
      so that the value fits into all of the types.
    - CVE-2018-7225
  * SECURITY UPDATE: Heap out-of-bound write
    - debian/patches/libvnc_server+client_CVE-2018-15127-CVE-2018-20019.patch:
      fix three possible heap buffer overflows.
    - debian/patches/libvncclient_CVE-2018-20020.patch: heap out-of-bound
      write vulnerability inside structure in VNC client code that can result
      remote code execution.
    - debian/patches/libvncclient_CVE-2018-20748-1.patch: LibVNCClient: ignore
      server-sent cut text longer than 1MB.
    - debian/patches/libvncclient_CVE-2018-20748-2.patch: LibVNCClient: ignore
      server-sent reason strings longer than.
    - debian/patches/libvncclient_CVE-2018-20748-3.patch: LibVNCClient: fail
      on server-sent desktop name lengths longer.
    - debian/patches/libvncclient_CVE-2018-20748-4.patch: LibVNCClient: remove
      now-useless cast.
    - debian/patches/libvncserver_CVE-2018-20749.patch: Error out in
      rfbProcessFileTransferReadBuffer if length can.
    - debian/patches/libvncserver_CVE-2018-20750.patch: Limit length to
      INT_MAX bytes in rfbProcessFileTransferReadBuffer().
    - CVE-2018-15127
    - CVE-2018-20019
    - CVE-2018-20020
    - CVE-2018-20748
    - CVE-2018-20749
    - CVE-2018-20750
  * SECURITY UPDATE: Infinite loop
    - debian/patches/libvncclient_CVE-2018-20021.patch: Infinite loop
      vulnerability in VNC client code.
    - CVE-2018-20021
  * SECURITY UPDATE: Improper Initialization
    - debian/patches/libvncclient_CVE-2018-20022.patch: Improper Initialization
      vulnerability in VNC client code.
    - debian/patches/libvncclient_CVE-2018-20023.patch: Improper Initialization
      vulnerability in VNC Repeater client.
    - CVE-2018-20022
    - CVE-2018-20023
  * SECURITY UPDATE: Null pointer dereference
    - debian/patches/libvncclient_CVE-2018-20024.patch: null pointer
      dereference in VNC client code that can result DoS.
    - CVE-2018-20024

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 07 Oct 2020 13:56:51 +0000

italc (1:2.0.2+dfsg1-4) unstable; urgency=medium

  * debian/Italc_logo.png:
    + Add 256x256px resolution icon, obtained from
      https://commons.wikimedia.org/wiki/File:Italc_logo.png.
  * debian/copyright:
    + Add license information for debian/Italc_logo.png.
    + Individually list files in debiain/*.
  * debian/source/include-binaries:
    + White-list binary file debian/Italc_logo.png.
  * debian/rules:
    + Install icons of all resolutions available in the upstream sources.
      (Closes: #795008).
  * debian/menu:
    + Drop menu file in favour of .desktop file. See tech-ctte decision
      on #741573 for details.
  * debian/patches:
    + Update 031_fix-spelling-errors.patch. Lintian found more spelling
      issues in upstream code.
  * debian/{compat,control}:
    + Raise DH compat level to debhelper version 9.
  * debian/control:
    + Add B-D: qt4-linguist-tools (for creating fresh .qm files at build-time).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2016 11:04:30 +0100

italc (1:2.0.2+dfsg1-3) unstable; urgency=medium

  * debian/po:
    + Add Dutch DebConf translation file. (Closes: #765983). Thanks to Frans
      Spiesschaert.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jun 2015 00:29:34 +0200

italc (1:2.0.2+dfsg1-2) unstable; urgency=medium

  * debian/bin/ica (wrapper):
    + When the -autostart cmdline arg is given, launch iTALC client with the
      most privileged role that is available to the current user.
  * DebConf:
    + Update Japanese translation. Thanks to "victory".
    + Update Russian translation file. Thanks to Yuri Kozlov. (Closes:
      #758791).
    + Update Danish translation file. Thanks to Joe Dalton. (Closes: #758840).
    + Update Spanish translation file. Thanks to Camaleón. (Closes: #759797).
    + Update French translation file. Thanks to Steve Petruzzello. (Closes:
      #760599).
    + Update Portuguese translation file. Thanks to Miguel Figueiredo. (Closes:
      #760718).
    + Update Italian translation file. Thanks to Beatrice Torracca. (Closes:
      #761089).
    + Update German translation file. Thanks to myself ;-). (Closes: #764101).
  * debian/copyright:
    + Rewrite from scratch. Fixes several false or missing license and copyright
      information.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Oct 2014 23:05:32 +0200

italc (1:2.0.2+dfsg1-1) unstable; urgency=low


