=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1// \
http://sf.net/italc/italc-([\d\.]*).tar.bz2
