## italc 3.0.3%2Bdfsg1

=== ima/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 FILE(GLOB italc_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
 FILE(GLOB italc_UI ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/*.ui)
 SET(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/italc.qrc)
-QT4_WRAP_CPP(italc_MOC_out ${italc_INCLUDES})
-QT4_WRAP_UI(italc_UIC_out ${italc_UI})
-QT4_ADD_RESOURCES(italc_RCC_out ${QRC_FILE})
-QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${italc_SOURCES} ${italc_INCLUDES})
+QT5_WRAP_CPP(italc_MOC_out ${italc_INCLUDES})
+QT5_WRAP_UI(italc_UIC_out ${italc_UI})
+QT5_ADD_RESOURCES(italc_RCC_out ${QRC_FILE})
+#QT4_TRANSLATIONS_FOR_QRC(${QRC_FILE} ${italc_SOURCES} ${italc_INCLUDES})
 
 IF(ITALC_BUILD_WIN32)
 	SET(WINRC "${CMAKE_CURRENT_BINARY_DIR}/italcrc.obj")
